package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkCommonDiaodu implements Serializable {
    private String id;

    /**
     * 工单标题
     *
     * @mbg.generated
     */
    private String ddName;

    /**
     * 优先级  0普通  1重要 2紧急
     *
     * @mbg.generated
     */
    private String ddYouxianji;

    /**
     * 工单地址
     *
     * @mbg.generated
     */
    private String ddAddress;

    /**
     * 指派单位
     *
     * @mbg.generated
     */
    private String ddZhipaidanwei;

    /**
     * 处理时限
     *
     * @mbg.generated
     */
    private Date ddChulishixian;

    /**
     * 关联任务表
     *
     * @mbg.generated
     */
    private String ddTkid;

    /**
     * 签批状态  0未签批 1已签批
     *
     * @mbg.generated
     */
    private String ddStatus;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date ddCreatetime;

    /**
     * 工单状态  0处理中  1已办结（未签批的时候也是处理中）
     *
     * @mbg.generated
     */
    private String ddTkstatus;

    /**
     * 工单详情
     *
     * @mbg.generated
     */
    private String ddDetail;

    /**
     * 附件
     *
     * @mbg.generated
     */
    private String ddFile;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDdName() {
        return ddName;
    }

    public void setDdName(String ddName) {
        this.ddName = ddName;
    }

    public String getDdYouxianji() {
        return ddYouxianji;
    }

    public void setDdYouxianji(String ddYouxianji) {
        this.ddYouxianji = ddYouxianji;
    }

    public String getDdAddress() {
        return ddAddress;
    }

    public void setDdAddress(String ddAddress) {
        this.ddAddress = ddAddress;
    }

    public String getDdZhipaidanwei() {
        return ddZhipaidanwei;
    }

    public void setDdZhipaidanwei(String ddZhipaidanwei) {
        this.ddZhipaidanwei = ddZhipaidanwei;
    }

    public Date getDdChulishixian() {
        return ddChulishixian;
    }

    public void setDdChulishixian(Date ddChulishixian) {
        this.ddChulishixian = ddChulishixian;
    }

    public String getDdTkid() {
        return ddTkid;
    }

    public void setDdTkid(String ddTkid) {
        this.ddTkid = ddTkid;
    }

    public String getDdStatus() {
        return ddStatus;
    }

    public void setDdStatus(String ddStatus) {
        this.ddStatus = ddStatus;
    }

    public Date getDdCreatetime() {
        return ddCreatetime;
    }

    public void setDdCreatetime(Date ddCreatetime) {
        this.ddCreatetime = ddCreatetime;
    }

    public String getDdTkstatus() {
        return ddTkstatus;
    }

    public void setDdTkstatus(String ddTkstatus) {
        this.ddTkstatus = ddTkstatus;
    }

    public String getDdDetail() {
        return ddDetail;
    }

    public void setDdDetail(String ddDetail) {
        this.ddDetail = ddDetail;
    }

    public String getDdFile() {
        return ddFile;
    }

    public void setDdFile(String ddFile) {
        this.ddFile = ddFile;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", ddName=").append(ddName);
        sb.append(", ddYouxianji=").append(ddYouxianji);
        sb.append(", ddAddress=").append(ddAddress);
        sb.append(", ddZhipaidanwei=").append(ddZhipaidanwei);
        sb.append(", ddChulishixian=").append(ddChulishixian);
        sb.append(", ddTkid=").append(ddTkid);
        sb.append(", ddStatus=").append(ddStatus);
        sb.append(", ddCreatetime=").append(ddCreatetime);
        sb.append(", ddTkstatus=").append(ddTkstatus);
        sb.append(", ddDetail=").append(ddDetail);
        sb.append(", ddFile=").append(ddFile);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonDiaodu other = (TkCommonDiaodu) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDdName() == null ? other.getDdName() == null : this.getDdName().equals(other.getDdName()))
            && (this.getDdYouxianji() == null ? other.getDdYouxianji() == null : this.getDdYouxianji().equals(other.getDdYouxianji()))
            && (this.getDdAddress() == null ? other.getDdAddress() == null : this.getDdAddress().equals(other.getDdAddress()))
            && (this.getDdZhipaidanwei() == null ? other.getDdZhipaidanwei() == null : this.getDdZhipaidanwei().equals(other.getDdZhipaidanwei()))
            && (this.getDdChulishixian() == null ? other.getDdChulishixian() == null : this.getDdChulishixian().equals(other.getDdChulishixian()))
            && (this.getDdTkid() == null ? other.getDdTkid() == null : this.getDdTkid().equals(other.getDdTkid()))
            && (this.getDdStatus() == null ? other.getDdStatus() == null : this.getDdStatus().equals(other.getDdStatus()))
            && (this.getDdCreatetime() == null ? other.getDdCreatetime() == null : this.getDdCreatetime().equals(other.getDdCreatetime()))
            && (this.getDdTkstatus() == null ? other.getDdTkstatus() == null : this.getDdTkstatus().equals(other.getDdTkstatus()))
            && (this.getDdDetail() == null ? other.getDdDetail() == null : this.getDdDetail().equals(other.getDdDetail()))
            && (this.getDdFile() == null ? other.getDdFile() == null : this.getDdFile().equals(other.getDdFile()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDdName() == null) ? 0 : getDdName().hashCode());
        result = prime * result + ((getDdYouxianji() == null) ? 0 : getDdYouxianji().hashCode());
        result = prime * result + ((getDdAddress() == null) ? 0 : getDdAddress().hashCode());
        result = prime * result + ((getDdZhipaidanwei() == null) ? 0 : getDdZhipaidanwei().hashCode());
        result = prime * result + ((getDdChulishixian() == null) ? 0 : getDdChulishixian().hashCode());
        result = prime * result + ((getDdTkid() == null) ? 0 : getDdTkid().hashCode());
        result = prime * result + ((getDdStatus() == null) ? 0 : getDdStatus().hashCode());
        result = prime * result + ((getDdCreatetime() == null) ? 0 : getDdCreatetime().hashCode());
        result = prime * result + ((getDdTkstatus() == null) ? 0 : getDdTkstatus().hashCode());
        result = prime * result + ((getDdDetail() == null) ? 0 : getDdDetail().hashCode());
        result = prime * result + ((getDdFile() == null) ? 0 : getDdFile().hashCode());
        return result;
    }
}